﻿<div class="content">
    <div style="width: 100%; margin: 0 auto; text-align: left;">
        <fieldset>
            <table style="width: 100%; margin: 0 auto; text-align: left;">
                <tr>
                    <td style="padding-left:10px;padding-top:5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "*Vanning Date From";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px;padding-top:5px;">
                        @Html.DevExpress().DateEdit(
                          settings =>
                          {
                              settings.Name = "I_VANNING_DT_FROM";
                              settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                              settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                              settings.Properties.DisplayFormatInEditMode = true;
                              settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                              settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                              settings.ReadOnly = false;
                              settings.Properties.UseMaskBehavior = true;
                              settings.Properties.EditFormat = EditFormat.Custom;
                              settings.Properties.CalendarProperties.EnableYearNavigation = true;
                              settings.Width = 110;
                              //settings.Properties.ClientSideEvents.DateChanged = "I_VANNING_DT_FROM_OnChanged";
                          }).Bind(ViewData["I_VANNING_DT_FROM"]).GetHtml()
                    </td>
                    <td style="padding-left: 10px;padding-top: 5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "*Vanning Date To";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().DateEdit(
                          settings =>
                          {
                              settings.Name = "I_VANNING_DT_TO";
                              settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                              settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                              settings.Properties.DisplayFormatInEditMode = true;
                              settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                              settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                              settings.ReadOnly = false;
                              settings.Properties.UseMaskBehavior = true;
                              settings.Properties.EditFormat = EditFormat.Custom;
                              settings.Properties.CalendarProperties.EnableYearNavigation = true;
                              settings.Width = 110;
                          }).Bind(ViewData["I_VANNING_DT_TO"]).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Original / Buyer PD";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_BUYER_PD_CD";
                            settings.Width = 200;
                            settings.Properties.DropDownWidth = 200;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.ValueField = "BUYER_PD_CD";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.Columns.Add("BUYER_PD_CD", "BUYER_PD_CD", 130);
                        }
                        ).BindList(ViewData["BUYER_PD"]).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Packing Company";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px;">
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_Packing_Company";
                            settings.Width = 110;
                            settings.Properties.DropDownWidth = 110;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 110;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                        }
                      ).BindList(ViewData["Packing_Company"]).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "DG Cargo";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_DG_Cargo";
                            settings.Width = 50;
                            settings.Properties.DropDownWidth = 50;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                        }
                        ).BindList(ViewData["DG_Cargo"]).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = " Invoice Status ";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_Invoice_Status";
                            settings.Width = 50;
                            settings.Properties.DropDownWidth = 50;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                            settings.PreRender = (sender, e) =>
                            {
                                MVCxComboBox cmb = sender as MVCxComboBox;
                                cmb.Value = "N";
                            };
                        }
                        ).BindList(ViewData["Invoice_Status"]).GetHtml()
                    </td>                    
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = " Complete Status ";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_Complete_Status";
                            settings.Width = 50;
                            settings.Properties.DropDownWidth = 50;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                            settings.PreRender = (sender, e) =>
                            {
                                MVCxComboBox cmb = sender as MVCxComboBox;
                                cmb.Value = "Y";
                            };
                        }).BindList(ViewData["Completenes"]).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().Label(
                        label =>
                        {
                            label.Text = "Case No";
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px; padding-top: 5px;">
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "I_CASE_NO";
                            settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                            settings.Width = 110;
                            settings.Properties.MaxLength = 20;
                        }).GetHtml()
                    </td>
                </tr>
                <tr>
                    <td colspan="8" style="padding-right: 10px; text-align: left">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td colspan="6" style="padding-right: 10px; text-align: left">
                        @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "cmdDownload";
                            edtSetting.Width = 100;
                            edtSetting.Text = "Download";
                            edtSetting.ClientSideEvents.Click = "OnDownload";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //di nonaktifin dulu untuk direct login
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoByAirInquiry", "FTR-SPEX-47-01", "DOWNLOAD");
                        }).GetHtml()
                        @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "cmdCreateInvoice";
                            edtSetting.Width = 160;
                            edtSetting.Text = "Invoice Maintenance";
                            edtSetting.ClientSideEvents.Click = "OnCreate";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //di nonaktifin dulu untuk direct login
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoByAirInquiry", "FTR-SPEX-47-02", "CREATE INVOICE");
                        }).GetHtml()
                    </td>
                    <td style="padding-left: 10px; text-align: right">
                        @Html.DevExpress().Button(
                         edtSetting =>
                         {
                             edtSetting.Name = "cmdSearch";
                             edtSetting.Text = "Search";
                             edtSetting.Width = 100;
                             edtSetting.ClientSideEvents.Click = "OnSearch";
                             edtSetting.Style.Add("display", "inline-table");
                             edtSetting.UseSubmitBehavior = true;
                             edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoByAirInquiry", "FTR-SPEX-47-01", "SEARCH");
                         }
                         ).GetHtml()
                        </td>
                        <td style="padding-left:10px;">
                        @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "cmdClear";
                            edtSetting.Width = 100;
                            edtSetting.Text = "Clear";
                            edtSetting.ClientSideEvents.Click = "OnClear";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("ReadyCargoByAirInquiry", "FTR-SPEX-47-01", "CLEAR");
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </fieldset>
    </div>
</div>
@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_BUYER_CD_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()
@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_PD_CD_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()
@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_Packing_Company_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()
@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_INVOICE_NO_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()
@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_DG_Cargo_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()

@Html.DevExpress().TextBox(
settings =>
{
    //remaks agi 2016-12-08 change name to complete status grid
    settings.Name = "I_COMPLETE_STATUS_2";
    //settings.Name = "I_COMPLETE_STATUS_GRID_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()

@*add by agi 2016-12-08 add parameter *@
@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_VANNING_DT_FROM_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()

@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_VANNING_DT_TO_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()

@*@Html.DevExpress().TextBox(
settings =>
{
    settings.Name = "I_COMPLATE_STATUS_2";
    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
    settings.Width = 100;
    settings.Properties.MaxLength = 25;
    settings.ClientVisible = false;
}).GetHtml()*@
